Skip to main content
POST
Before you create a certificate job, add the TRACES credentials for the TAN. If the credentials already exist, you do not need to add them again.
This endpoint is part of a job-based async workflow. See the job-based API workflow guide for job creation and status polling.Use 130 for salary TDS, 131 for other TDS, and 133 for TCS in the certificate_type path parameter.
Use the returned job_id to check the certificate job status.

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-api-key
string
required

API key used to identify and authenticate the client.

Content-Type
string
required

Request body format.

Path Parameters

certificate_type
enum<string>
required

Certificate type. Use 130 for salary TDS, 131 for other TDS, or 133 for TCS.

Available options:
130,
131,
133

Body

application/json
@entity
string
required

Request entity type.

Allowed value: "in.co.sandbox.tds.compliance.certificate.job.request"
Example:

"in.co.sandbox.tds.compliance.certificate.job.request"

quarter
enum<string>
required

Quarter of the tax year.

Available options:
Q1,
Q2,
Q3,
Q4
tax_year
string
required

Tax year for the certificate request. Use the TY YYYY-YY format.

Pattern: ^TY [0-9]{4}-[0-9]{2}$
Example:

"TY 2026-27"

tan
string
required

Tax Deduction and Collection Account Number (TAN).

Pattern: ^[A-Z]{4}[0-9]{5}[A-Z]$
Example:

"AHMS45586C"

Response

Certificate generation job created.

code
integer
required
timestamp
integer
required
data
object
required
transaction_id
string
required

Unique identifier for the API transaction.